Skip to content
Dashboard
Theme
Theme

List directories

GET /v1/directories: List directories.

View Markdown

GET /v1/directories

Scope
directories:read
Auth
Secret key (sk_…)
Since
1.0
  • limit integer

    min 1 · max 100 · default 20

  • after string

    Cursor from next_cursor.

  • before string

  • organization string

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/directories" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"google_oauth_available": true,
"bamboohr_oauth_available": true,
"gusto_oauth_available": true,
"id": "dir_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "directory",
"legacy_ids": {
"workos": "org_01H8ZQ4M7K2X8V3N5B6C1D0E9F"
},
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"name": "Acme Corp",
"provider": "okta",
"state": "awaiting_first_request",
"scim_base_url": "https://app.acme.com/callback",
"created_at": "2026-01-15T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "cur_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}